# TODO: Add comment
# 
# Author: martin
###############################################################################


cv.samples <- function(classes, fold, seed = 331L) {

	classes.numeric <- as.integer(factor(classes))-1L
	
	res <- .Call(cvsamples, classes.numeric, fold, seed)
	res <- lapply(res, function(x) as.integer(x+1))
	
	return(res)
}

sub.samples <- function(classes, d = 100L, fraction = NULL, n = NULL, seed = 331L) {
	classes.numeric <- as.integer(factor(classes))-1L
	
	if(!is.null(fraction)) {
	res <- .Call(subsamples_fraction, classes.numeric, d, fraction, seed)
} else if (!is.null(n)) {
	res <- .Call(subsamples_count, classes.numeric, d, n, seed)
} else {
	return (NULL)
}
	res <- lapply(res, function(x) as.integer(x+1))
	
	return(res)
}